Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3070 - Netscape and ALT keybindings
Summary: Netscape and ALT keybindings
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-26 16:16 UTC by Adam Spiers
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-09 19:37:34 UTC


Attachments (Terms of Use)

Description Adam Spiers 1999-05-26 16:16:10 UTC
Netscape doesn't distinguish between Alt_L and Alt_R
in some strange way -- for example if you do

xmodmap -e 'add mod4 = Mode_switch'

then all Netscape's "left Alt + <key>" combinations
stop working, even though Mode_switch (i.e. AltGR/Alt_R)
has nothing to do with Alt_L.

Comment 1 Adam Spiers 1999-05-30 17:21:59 UTC
My apologies; this is nothing to do with Netscape in particular.
Xemacs alerted me to the fact that if you want to use an Alt key
as something other than an Alt, you must change its keysym -- it's
not sufficient to simply change where it is in the modifier map.
Similarly for Control keysyms.

So, you can safely discard this "bug" ...


Note You need to log in before you can comment on or make changes to this bug.